rpms/qt3/F-9 qt.csh,1.1,1.2 qt.sh,1.1,1.2 qt3.spec,1.4,1.5

Than Ngo (than) fedora-extras-commits at redhat.com
Fri May 23 16:00:14 UTC 2008


Author: than

Update of /cvs/extras/rpms/qt3/F-9
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv2500

Modified Files:
	qt.csh qt.sh qt3.spec 
Log Message:
fix rh#448027, qt3's PATH not set properly unless qt3-devel is installed



Index: qt.csh
===================================================================
RCS file: /cvs/extras/rpms/qt3/F-9/qt.csh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- qt.csh	12 Mar 2008 18:50:07 -0000	1.1
+++ qt.csh	23 May 2008 15:59:26 -0000	1.2
@@ -1,15 +1,32 @@
 # Qt initialization script (csh)
 
-set qt_prefix = `/usr/bin/pkg-config --variable=prefix qt-mt`
+# In multilib environments there is a preferred architecture, 64 bit over 32 bit in x86_64,
+# 32 bit over 64 bit in ppc64. When a conflict is found between two packages corresponding
+# with different arches, the installed file is the one from the preferred arch. This is
+# very common for executables in /usr/bin, for example. If the file /usr/bin/foo is found
+# in an x86_64 package and in an i386 package, the executable from x86_64 will be installe
 
-if ( "${path}" !~ *$qt_prefix/bin* ) then
-   set path = ( $qt_prefix/bin $path )
+set ARCH = `uname -m`
+set QTVERSION = 3.3
+
+switch ($ARCH)
+   case x86_64:
+   case ia64:
+   case s390:
+      set QTPREFIX = /usr/lib64/qt-$QTVERSION
+      breaksw
+   case *:
+      set QTPREFIX = /usr/lib/qt-$QTVERSION
+endsw
+
+if ( "${path}" !~ *$QTPREFIX/bin* ) then
+   set path = ( $QTPREFIX/bin $path )
 endif
 
 if ( $?QTDIR ) then
    exit
 endif
 
-setenv QTDIR $qt_prefix
-setenv QTINC $qt_prefix/include
-setenv QTLIB $qt_prefix/lib
+setenv QTDIR $QTPREFIX
+setenv QTINC $QTPREFIX/include
+setenv QTLIB $QTPREFIX/lib


Index: qt.sh
===================================================================
RCS file: /cvs/extras/rpms/qt3/F-9/qt.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- qt.sh	12 Mar 2008 18:50:07 -0000	1.1
+++ qt.sh	23 May 2008 15:59:26 -0000	1.2
@@ -1,15 +1,29 @@
 # Qt initialization script (sh)
 
-qt_prefix=`/usr/bin/pkg-config --variable=prefix qt-mt`
+# In multilib environments there is a preferred architecture, 64 bit over 32 bit in x86_64,
+# 32 bit over 64 bit in ppc64. When a conflict is found between two packages corresponding
+# with different arches, the installed file is the one from the preferred arch. This is
+# very common for executables in /usr/bin, for example. If the file /usr/bin/foo is found
+# in an x86_64 package and in an i386 package, the executable from x86_64 will be installe
 
-if ! echo ${PATH} | /bin/grep -q $qt_prefix/bin ; then
-   PATH=$qt_prefix/bin:${PATH}
+ARCH=$(uname -m)
+QTVERSION=3.3
+
+case $ARCH in
+   x86_64 | ia64 | s390 )
+      QT_PREFIX=/usr/lib64/qt-$QTVERSION ;;
+   * )
+      QT_PREFIX=/usr/lib/qt-$QTVERSION ;;
+esac
+
+if ! echo ${PATH} | /bin/grep -q $QT_PREFIX/bin ; then
+   PATH=$QT_PREFIX/bin:${PATH}
 fi
 
 if [ -z "$QTDIR" ] ; then
-	QTDIR="$qt_prefix"
-	QTINC="$qt_prefix/include"
-	QTLIB="$qt_prefix/lib"
+	QTDIR="$QT_PREFIX"
+	QTINC="$QT_PREFIX/include"
+	QTLIB="$QT_PREFIX/lib"
 fi
 
 export QTDIR QTINC QTLIB PATH


Index: qt3.spec
===================================================================
RCS file: /cvs/extras/rpms/qt3/F-9/qt3.spec,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- qt3.spec	2 Apr 2008 10:49:18 -0000	1.4
+++ qt3.spec	23 May 2008 15:59:26 -0000	1.5
@@ -1,6 +1,6 @@
 Summary: The shared library for the Qt 3 GUI toolkit
 Version: 3.3.8b
-Release: 12%{?dist}
+Release: 13%{?dist}
 %if 0%{?fedora} > 8
 Name: qt3
 Obsoletes: qt < 1:%{version}-%{release}
@@ -98,7 +98,6 @@
 Requires: fileutils
 Requires: fontconfig >= 2.0
 Requires: /etc/ld.so.conf.d
-Requires: pkgconfig
 
 BuildRequires: desktop-file-utils
 BuildRequires: libmng-devel
@@ -644,6 +643,9 @@
 
 
 %changelog
+* Fri May 23 2008 Than Ngo <than at redhat.com> -  3.3.8b-13
+- fix rh#448027, qt3's PATH not set properly unless qt3-devel is installed
+
 * Wed Apr 02 2008 Than Ngo <than at redhat.com> -  3.3.8b-12
 - get rid of 0088-fix-xinput-clash.diff, it's fixed in
   new xorg-x11-proto-7.3-11




More information about the fedora-extras-commits mailing list